menu
#2469107 Declaration of ClearLagg\ClearLaggCommand::getPlugin() must be compatible with pocketmine\command\PluginIdentifiableCommand::getPlugin(): pocketmine\plugin\Plugin

Submitted by PocketMine-MP 3.8.3

General information

Version: 3.8.3
Git commit: 63e58677
Plugin involvement: Direct
Report date: 2019-06-12 08:39:04 +0000 UTC

System Information

PHP version: 7.3.5
Operating system: win
System banner: Windows NT MUTO 10.0 build 17763 (Windows 10) AMD64

Error information

Warning: the ClearLagg plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of ClearLagg\ClearLaggCommand::getPlugin() must be compatible with pocketmine\command\PluginIdentifiableCommand::getPlugin(): pocketmine\plugin\Plugin
File: plugins/ClearLagg (1).phar/src/ClearLagg/ClearLaggCommand
Line: #9
Error level: E_COMPILE_ERROR
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
<?php

namespace ClearLagg;

use pocketmine\command\Command;
use pocketmine\command\CommandSender;
use pocketmine\command\PluginIdentifiableCommand;

class ClearLaggCommand extends Command implements PluginIdentifiableCommand {

public $plugin;

public function __construct(Loader $plugin) {
parent::__construct("clearlagg", "Clear the lag!", "/clearlagg <check/clear/killmobs/clearall>", ["lagg"]);
$this->setPermission("clearlagg.command.clearlagg");
$this->plugin = $plugin;
}

public function getPlugin() {

Loaded Plugins

  • Show

Server Settings

  • Show